Bug 1795563 - Openscap removes blank lines from Ansible remediations generated from datastream
Summary: Openscap removes blank lines from Ansible remediations generated from datastream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: openscap
Version: 8.2
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: rc
: 8.0
Assignee: Jan Černý
QA Contact: Matus Marhefka
Jan Fiala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-28 10:44 UTC by Vojtech Polasek
Modified: 2020-11-04 02:30 UTC (History)
6 users (show)

Fixed In Version: openscap-1.3.2-7.el8
Doc Type: Bug Fix
Doc Text:
.OpenSCAP no longer removes blank lines from YAML multi-line strings Previously, OpenSCAP removed blank lines from YAML multi-line strings within generated Ansible remediations from a datastream. This affected Ansible remediations and caused the `openscap` utility to fail the corresponding Open Vulnerability and Assessment Language (OVAL) checks, producing false positive results. The issue is now fixed and as a result, `openscap` no longer removes blank lines from YAML multi-line strings.
Clone Of:
Environment:
Last Closed: 2020-11-04 02:29:43 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4623 0 None None None 2020-11-04 02:29:57 UTC

Comment 1 Jan Černý 2020-01-28 12:02:21 UTC
This is caused by dropping empty lines in function _write_remediation_to_fd_and_free in src/XCCDF_POLICY/xccdf_policy_remediate.c.

Comment 2 Jan Černý 2020-02-10 09:18:38 UTC
This has been fixed in upstream in https://github.com/OpenSCAP/openscap/pull/1476

Comment 4 Matěj Týč 2020-02-20 16:24:34 UTC
I agree with the general message, but I propose to rephrase two points

Consequence: As some Ansible remediations contain literal configuration file content, removing blank lines affects corresponding remediations. In some cases, this may result in loss of alignment with the corresponding OVAL check. As the blank lines are removed by the openscap when generating Ansible remediations, applying these Ansible remediations and scanning the system using openscap will assert corresponding OVAL checks as failed. Blank lines don't have functional effect, so the failed check reported by the scanner is a false positive.

Workaround (if any): Check with the rule description and waive scan results which are failing because of missing blank lines, or use Bash remediations instead of Ansible remediations.

Comment 16 errata-xmlrpc 2020-11-04 02:29:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (openscap bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4623


Note You need to log in before you can comment on or make changes to this bug.